System.Web 2.0.0.0 System.Object System.Runtime.Serialization.IFormatter System.Web.UI.IStateFormatter

The class serializes and deserializes object state graphs in a compact format.

is used by the class and classes that derive from it to serialize view state and control state. It is also used by the class to provide object state graph formatting for various parts of the ASP.NET infrastructure.

The class is optimized to serialize and format many common .NET Framework reference types, as well as constants. The following table lists the types that are optimized.

String []

null (Nothing)

Additionally, while conventional string types and string arrays are written to and from a serialized binary writer unaltered, some strings are optimized by creating internal string tables. Strings are optimized using these tables if the string has an associated object or if the string is actually an instance of the class.

Other types not listed above are binary-serialized using a object if they implement the interface or are decorated with the attribute. The class is not optimized for any of these serializable types.

If the class encounters a type that is not serializable, an exception is thrown.

Serializes and deserializes object graphs that represent the state of an object. This class cannot be inherited.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  System.Object ``

  Any object state graph that is serialized with the method can be deserialized with the method. The method is used to restore an object state graph stored in a , such as a .

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Deserializes an object state graph from its binary-serialized form that is contained in the specified object.

  An object that represents a deserialized object state graph.

  A that the deserializes into an initialized object. 2.0.0.0
- Method
  System.Object ``

  Any object state graph that is serialized with the method can be deserialized with the method. The method is used to restore an object state graph stored in base64-encoded string form.

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Deserializes an object state graph from its serialized base64-encoded string form.

  An object that represents a deserialized object state graph.

  A string that the deserializes into an initialized object. 2.0.0.0
- Method
  System.String ``

  Any object graph that is serialized with the method can be deserialized with the method. The method is used to serialize an object state graph to a base64-encoded string form.

  Serializes an object state graph to a base64-encoded string.

  A base-64 encoded string that represents the serialized object state of the parameter.

  The object to serialize. 2.0.0.0
- Method
  System.Void `` ``

  Any object state graph that is serialized with the method can be deserialized with the method. The method is used to serialize an object state graph to a binary object.

  Serializes an object state graph to the specified object.

  A to which the serializes the state of the specified object. The object to serialize. 2.0.0.0
- Property
  2.0.0.0
  System.Runtime.Serialization.SerializationBinder To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Runtime.Serialization.StreamingContext To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The top object of the deserialized graph.

  The stream that contains the data to deserialize.
- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The stream where the formatter puts the serialized data. This stream can reference a variety of backing stores (such as files, network, memory, and so on). The object, or root of the object graph, to serialize. All child objects of this root object are automatically serialized.
- Property
  2.0.0.0
  System.Runtime.Serialization.ISurrogateSelector To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .